CMSAttributeTableGenerator (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cms

## Interface CMSAttributeTableGenerator

- All Known Implementing Classes:
    DefaultAuthenticatedAttributeTableGenerator, DefaultSignedAttributeTableGenerator, SimpleAttributeTableGenerator

      public interface CMSAttributeTableGenerator

  Note: The SIGNATURE parameter is only available when generating unsigned attributes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CONTENT_TYPE`
    `static java.lang.String` | `DIGEST`
    `static java.lang.String` | `DIGEST_ALGORITHM_IDENTIFIER`
    `static java.lang.String` | `MAC_ALGORITHM_IDENTIFIER`
    `static java.lang.String` | `SIGNATURE`
    `static java.lang.String` | `SIGNATURE_ALGORITHM_IDENTIFIER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.cms.AttributeTable` | `getAttributes(java.util.Map parameters)`

- - ### Field Detail

    - #### CONTENT_TYPE

          static final java.lang.String CONTENT_TYPE

      See Also:
        Constant Field Values

    - #### DIGEST

          static final java.lang.String DIGEST

      See Also:
        Constant Field Values

    - #### SIGNATURE

          static final java.lang.String SIGNATURE

      See Also:
        Constant Field Values

    - #### DIGEST_ALGORITHM_IDENTIFIER

          static final java.lang.String DIGEST_ALGORITHM_IDENTIFIER

      See Also:
        Constant Field Values

    - #### MAC_ALGORITHM_IDENTIFIER

          static final java.lang.String MAC_ALGORITHM_IDENTIFIER

      See Also:
        Constant Field Values

    - #### SIGNATURE_ALGORITHM_IDENTIFIER

          static final java.lang.String SIGNATURE_ALGORITHM_IDENTIFIER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getAttributes

          org.bouncycastle.asn1.cms.AttributeTable getAttributes(java.util.Map parameters)
                                                                 throws CMSAttributeTableGenerationException

      Throws:
        `CMSAttributeTableGenerationException`